Package org.springframework.cglib.transform.impl

# Interface FieldProvider

public interface FieldProvider

## Method Summary

Modifier and Type
Method
Description
`Object`
`getField(int index)`
`Object`
`getField(String name)`
`String[]`
`getFieldNames()`
`Class[]`
`getFieldTypes()`
`void`
`setField(int index, Object value)`
`void`
`setField(String name, Object value)`

## Method Details

### getFieldNames

String[] getFieldNames()

### getFieldTypes

Class[] getFieldTypes()

### setField

void setField(int index, Object value)

### getField

Object getField(int index)

### setField

void setField(String name, Object value)

### getField

Object getField(String name)